<script setup>

import { ref } from 'vue';
// const debug = ref(true);
const debug = ref(false);

</script>

<template>
  <div class="container" :class="{ debug: debug }">
    <div class="content">
      <router-view/>
    </div>
  </div>
</template>

<style>
  html {
    font-size: 16px;
  }
  * {
    font: 16px arial;
    font-size: 1rem;
  }
  .debug div {
    outline: 2px solid #000;
  }
  .debug td {
    outline: 2px solid #f00;
  }
  .container {
    margin-top: 10em;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: auto;
    margin-left: auto;
    width: 80%;
    align-items: stretch;
  }
  .content {
    display: flex;
    flex-direction: column;
    gap: 5em;
    max-width: 100%;
  }
  button {
    display: block;
    margin-bottom: 1em;
    padding: 10px 20px;
    border-style: none;
    background-color: #ccc;
    border-radius: 4px;
    cursor: pointer;
  }
  a {
    display: block;
    margin-bottom: 1em;
    color: blue;
    cursor: pointer;
  }
  .iconify {
    color: #444;
    font-size: 17px;
    cursor: pointer;
  }
</style>
